require_dependency "hr_engine6/application_controller"

module HrEngine6
  class AdminsController < ApplicationController
    before_action :set_admin, only: [:show, :edit, :update, :destroy]

    # GET /admins
    # GET /admins.json
    def index
      @admins = Admin.all
    end

    # GET /admins/1
    # GET /admins/1.json
    def show
    end

    # GET /admins/new
    def new
      @admin = Admin.new
    end

    # GET /admins/1/edit
    def edit
    end

    # POST /admins
    # POST /admins.json
    def create
      @admin = Admin.new(admin_params)

      respond_to do |format|
        if @admin.save
          format.html { redirect_to @admin, notice: 'Admin başarıyla oluşturuldu.' }
          format.json { render :show, status: :created, location: @admin }
        else
          format.html { render :new }
          format.json { render json: @admin.errors, status: :unprocessable_entity }
        end
      end
    end

    # PATCH/PUT /admins/1
    # PATCH/PUT /admins/1.json
    def update
      respond_to do |format|
        if @admin.update(admin_params)
          format.html { redirect_to @admin, notice: 'Admin başarıyla güncellendi.' }
          format.json { render :show, status: :ok, location: @admin }
        else
          format.html { render :edit }
          format.json { render json: @admin.errors, status: :unprocessable_entity }
        end
      end
    end

    # DELETE /admins/1
    # DELETE /admins/1.json
    def destroy
      @admin.destroy
      respond_to do |format|
        format.html { redirect_to admins_url, notice: 'Admin başarıyla silindi.' }
        format.json { head :no_content }
      end
    end

    private
    # Use callbacks to share common setup or constraints between actions.
    def set_admin
      @admin = Admin.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def admin_params
      params.fetch(:admin, {})
    end
  end

end
